import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { text, number, date, select } from '@storybook/addon-knobs';

import DayForecastCard from 'react/domain/forecast/day-forecast-card/DayForecastCard';
import { TEMPERATURE_UNITS, WEATHER_ICONS } from 'domain/weather/constants';

import DayForecastGrid, { DayForecastGridBase } from './DayForecastGrid';

export const TODAY = new Date();

export const DayForecastCards = [
  <DayForecastCard key={1} date={TODAY} temperatureMin={11} temperatureMax={16} />,
  <DayForecastCard key={2} date={TODAY} temperatureMin={11} temperatureMax={16} />,
  <DayForecastCard key={3} date={TODAY} temperatureMin={11} temperatureMax={16} />,
  <DayForecastCard key={4} date={TODAY} temperatureMin={11} temperatureMax={16} />,
  <DayForecastCard
    key={5}
    date={date('date', TODAY)}
    temperatureMin={number('temperatureMin', 11)}
    temperatureMax={number('temperatureMax', 16)}
    temperatureUnit={select('temperatureUnit', Object.values(TEMPERATURE_UNITS), TEMPERATURE_UNITS.CELSIUS)}
    weather={select('weather', Object.values(WEATHER_ICONS), WEATHER_ICONS.CLEAR)}
  />
];

<Meta title="Domain/Forecast/DayForecastGrid" component={DayForecastGrid} />

# Day Forecast Grid

<ArgsTable of={DayForecastGridBase} />

<Canvas>
<Story name="example">
  <DayForecastGrid>
    { DayForecastCards }
  </DayForecastGrid>
</Story>
</Canvas>
